Subject: Re: [netatalk-admins] netatalk on SUNOS

From: Thomas Tornblom <[email-masked]>
Date: Fri, 17 Apr 1998 19:37:59 +0200 (MET DST)

[text deleted]
 
> %echo "sh ~ravi/atalk/etc/rc.atalk" >>/etc/rc.local
> %reboot
> 
> All of the above steps were executed as a superuser.
> 
> When the system is rebooted, I get the following messages:
> 
> Cannot write into "/user/ravi/atalkd/etc/l<somefilenamehere>. I have
> changed the permissions of /user/ravi/atalkd/etc/ to 777. This error message
> is printer when trying to execute the statement:
> 

/user/ravi/atalkd/etc doesn't happen to be on an NFS mounted filesystem does it?
root is the most untrusted user on nfs as there are major security issues by 
allowing root to write over NFS.

> if [ -f /user/ravi/atalk/etc/netatalk.o ]; then
>         /usr/etc/modload -sym /user/ravi/atalk/etc/netatalk.o;
> 
> When 
> 
> if [ -f /user/ravi/atalk/etc/atalkd ]; then
>         /user/ravi/atalk/etc/atalkd;            echo -n ' atalkd'
> is executed, the following error message is printed:
> 
> config file is (null)
> socket: Protocol not supported
> 
> Can I get some help here? Have I missed any steps here?
> 

This is probably for the same reasons as above.

Place your config on a locally mounted filesystem.

> Thanks and Best Regards, Ravi
> 
> +--------------------------------------------------------------------+
> | Ravi Subramanian                |         Email: [email-masked] |
> | Texas Instruments Incorporated                                     |
> +--------------------------------------------------------------------+
> 

Thomas

Real life:      Thomas Törnblom             Email:  [email-masked]
Snail mail:     HB Hax                      Phone:    +46  18 290 290
                Banvallsvägen 14            Fax:      +46  18 290 291
                S - 754 40 Uppsala, Sweden  Cellular: +46 708 323118